org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetConfiguration

All Implemented Interfaces:
  PortableMarshalAware, PlatformConfiguration

    public class PlatformDotNetConfiguration
    extends Object
    implements PlatformConfiguration, PortableMarshalAware

Mirror of .Net class Configuration.cs

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetConfiguration()` Default constructor.
`PlatformDotNetConfiguration(PlatformDotNetConfiguration cfg)` Copy constructor.

### Method Summary

Methods
`List<String>` `getAssemblies()`
`PlatformDotNetPortableConfiguration` `getPortableConfiguration()`
`void` `readPortable(PortableReader reader)` Reads fields from provided reader.
`void` `setAssemblies(List<String> assemblies)`
`void` `setPortableConfiguration(PlatformDotNetPortableConfiguration portableCfg)`
`String` `toString()`
`void` `writePortable(PortableWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetConfiguration

    public PlatformDotNetConfiguration()

Default constructor.

#### PlatformDotNetConfiguration

    public PlatformDotNetConfiguration(PlatformDotNetConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - Configuration to copy.

### Method Detail

#### getPortableConfiguration

    public PlatformDotNetPortableConfiguration getPortableConfiguration()

Returns:
  Configuration.

#### setPortableConfiguration

    public void setPortableConfiguration(PlatformDotNetPortableConfiguration portableCfg)

Parameters:
  `portableCfg` - Configuration.

#### getAssemblies

    public List<String> getAssemblies()

Returns:
  Assemblies.

#### setAssemblies

    public void setAssemblies(List<String> assemblies)

Parameters:
  `assemblies` - Assemblies.

#### writePortable

    public void writePortable(PortableWriter writer)
                       throws PortableException

Writes fields to provided writer.

Specified by:
  `writePortable` in interface `PortableMarshalAware`
Parameters:
  `writer` - Portable object writer.
Throws:
  `PortableException` - In case of error.

#### readPortable

    public void readPortable(PortableReader reader)
                      throws PortableException

Reads fields from provided reader.

Specified by:
  `readPortable` in interface `PortableMarshalAware`
Parameters:
  `reader` - Portable object reader.
Throws:
  `PortableException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015